/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.WebserverApi();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('WebserverApi', function() {
    describe('apiBacktestAbortApiV1BacktestAbortGet', function() {
      it('should call apiBacktestAbortApiV1BacktestAbortGet successfully', function(done) {
        //uncomment below and update the code to test apiBacktestAbortApiV1BacktestAbortGet
        //instance.apiBacktestAbortApiV1BacktestAbortGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('apiDeleteBacktestApiV1BacktestDelete', function() {
      it('should call apiDeleteBacktestApiV1BacktestDelete successfully', function(done) {
        //uncomment below and update the code to test apiDeleteBacktestApiV1BacktestDelete
        //instance.apiDeleteBacktestApiV1BacktestDelete(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('apiGetBacktestApiV1BacktestGet', function() {
      it('should call apiGetBacktestApiV1BacktestGet successfully', function(done) {
        //uncomment below and update the code to test apiGetBacktestApiV1BacktestGet
        //instance.apiGetBacktestApiV1BacktestGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('apiStartBacktestApiV1BacktestPost', function() {
      it('should call apiStartBacktestApiV1BacktestPost successfully', function(done) {
        //uncomment below and update the code to test apiStartBacktestApiV1BacktestPost
        //instance.apiStartBacktestApiV1BacktestPost(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
  });

}));
